Bug 27479 - Improve link text after successfully resetting password in OPAC
Summary: Improve link text after successfully resetting password in OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amy King
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 02:29 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27479: changed link text to be more helpful (1.45 KB, patch)
2021-01-20 23:10 UTC, Amy King
Details | Diff | Splinter Review
Bug 27479: changed link text to be more helpful (1.50 KB, patch)
2021-01-21 18:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27479: changed link text to be more helpful (1.56 KB, patch)
2021-01-21 18:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27479: Improve link text to be more helpful (opac-password-recovery.tt) (1.58 KB, patch)
2021-01-22 13:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 02:29:45 UTC
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-password-recovery.tt:                            <a href="/cgi-bin/koha/opac-user.pl">Click here to login.</a>


"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.

to reproduce:
go to admininstration, enable the OpacResetPassword system preference
ensure the KohaAdminEmailAddress system preference has a proper email address in it
go to your account and edit your contact information. ensure you have a primary email address set
go to the opac and log out. go directly to the URL: http://localhost:8080/cgi-bin/koha/opac-password-recovery.pl
enter your email and submit the password recovery form
log back into the staff client, go to your account, click the notices tab
there should be a password recovery notice. click on the title to open the notice. there should be a link.
go to the opac and go directly to the URL in the notice (you'll need to add http://localhost:8080 in front of it)
reset your password and submit
notice the 'click here' link
Comment 1 Owen Leonard 2021-01-20 16:34:42 UTC
I would suggest replacing "Click here to login" with:

"Log in to your account"
Comment 2 Amy King 2021-01-20 23:10:36 UTC
Created attachment 115477 [details] [review]
Bug 27479: changed link text to be more helpful

Test plan:
1. Follow the steps above to reproduce, and notice how the link says
"Click here to login"
2. Apply patch
3. Follow the steps above to reproduce again, but now notice how the
link says "Log in to your account"
Comment 3 Owen Leonard 2021-01-21 18:16:18 UTC
Created attachment 115587 [details] [review]
Bug 27479: changed link text to be more helpful

Test plan:
1. Follow the steps above to reproduce, and notice how the link says
"Click here to login"
2. Apply patch
3. Follow the steps above to reproduce again, but now notice how the
link says "Log in to your account"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Kyle M Hall 2021-01-21 18:47:20 UTC
Created attachment 115591 [details] [review]
Bug 27479: changed link text to be more helpful

Test plan:
1. Follow the steps above to reproduce, and notice how the link says
"Click here to login"
2. Apply patch
3. Follow the steps above to reproduce again, but now notice how the
link says "Log in to your account"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:24:34 UTC
Created attachment 115695 [details] [review]
Bug 27479: Improve link text to be more helpful (opac-password-recovery.tt)

Test plan:
1. Follow the steps above to reproduce, and notice how the link says
"Click here to login"
2. Apply patch
3. Follow the steps above to reproduce again, but now notice how the
link says "Log in to your account"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-01-22 13:54:51 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-29 13:42:43 UTC
Enhancement not pushed to 20.11.x